Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035490
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-03-12 13:132017-03-15 20:22
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision0dd550bbbef2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035490: SystemService logValidationResults logs a ERROR line always if there are no errors (shows in export.database)

DescriptionThe 'Validating module' part of export.database calls to SystemService in erp sourcecode to do the validation + to log the result.

That logValidationResult method assembles a StringBuffer and logs it using log4j.error.

However if does not check if that String does contain anything so logs an 'empty' error all the time.

Note that this is minor for the moment as export.database does have bad log4j config so it does not show the log-level prefix at the moment. Fixing that manually show the problem clearly like this:

24623 [main] INFO org.openbravo.ddlutils.task.ExportDatabase - Validating Module...
25022 [main] ERROR org.openbravo.ddlutils.task.ExportDatabase -
Steps To ReproduceRun export.database with any module in development and notice the extra empty line on Validating module.
With the debugging patch attached to this issue it will show the wrong log level clearly.
TagsNo tags attached.
Attached Filesdiff file icon 35490_fix.diff [^] (445 bytes) 2017-03-12 13:14 [Show Content]
diff file icon debugging-do-not-commit-fix-log4j.diff [^] (941 bytes) 2017-03-12 13:15 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035493 closedalostale missing log info when check consistency fails 

-  Notes
(0094956)
shuehner (administrator)
2017-03-12 13:15

Note: the debugging patch is for dbsm repo so to use it need to recompile dbsm and use that jar
(0094968)
hgbot (developer)
2017-03-13 07:49

Repository: erp/devel/pi
Changeset: 0dd550bbbef217729547c193505710672401aa65
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Mon Mar 13 07:48:48 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0dd550bbbef217729547c193505710672401aa65 [^]

fixed bug 35490: SystemService logs a ERROR line always

---
M src/org/openbravo/service/system/SystemService.java
---
(0094969)
alostale (developer)
2017-03-13 07:51

reviewed
(0095293)
hudsonbot (developer)
2017-03-15 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-12 13:13 shuehner New Issue
2017-03-12 13:13 shuehner Assigned To => platform
2017-03-12 13:13 shuehner Modules => Core
2017-03-12 13:13 shuehner Triggers an Emergency Pack => No
2017-03-12 13:14 shuehner File Added: 35490_fix.diff
2017-03-12 13:15 shuehner File Added: debugging-do-not-commit-fix-log4j.diff
2017-03-12 13:15 shuehner Note Added: 0094956
2017-03-13 07:49 alostale Assigned To platform => shuehner
2017-03-13 07:49 hgbot Checkin
2017-03-13 07:49 hgbot Note Added: 0094968
2017-03-13 07:49 hgbot Status new => resolved
2017-03-13 07:49 hgbot Resolution open => fixed
2017-03-13 07:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0dd550bbbef217729547c193505710672401aa65 [^]
2017-03-13 07:51 alostale Review Assigned To => alostale
2017-03-13 07:51 alostale Note Added: 0094969
2017-03-13 07:51 alostale Status resolved => closed
2017-03-13 07:51 alostale Fixed in Version => 3.0PR17Q2
2017-03-13 09:17 alostale Relationship added related to 0035493
2017-03-15 20:22 hudsonbot Checkin
2017-03-15 20:22 hudsonbot Note Added: 0095293


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker